Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Move video asset project (deprecated)

Prev Next

Available in VPC

Caution

This API is deprecated and is scheduled to be terminated in January 2027. Use the new Move media asset project API.

Move a video asset to another project.

Request

This section describes the request format. The method and URI are as follows:

Method URI
PATCH /api/v1/workspaces/{workspace_name}/projects/{project_id}/video-assets/{video_asset_id}

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

The following describes the parameters.

Field Type Required Description
workspace_name String Required Workspace name
project_id String Required Project ID
video_asset_id String Required Video asset ID

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
new_project_id String Required ID of the project you want to move the video to

Request example

The request example is as follows:

curl --location --request PATCH 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/video-assets/1001?new_project_id=5678' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message
result Object - Video asset details
result.videoId Integer - Video asset ID
result.videoName String - Video file name
result.projectId Integer - ID of the project you moved the video to
result.metaData Object - Video metadata details
result.metaData.resolution String - Video resolution
  • Example: 1920x1080
result.metaData.durationMs Integer - Video length (millisecond)
result.metaData.size Integer - Video file size (byte)
result.metaData.format String - Video file format
  • mp4 | mkv | mov | webm
result.key String - Full file name of the video uploaded to Object Storage
result.createUserName String - User name that registered the video asset
result.createdTime String - Video asset registration date and time
  • ISO 8601 format
result.updateUserName String - User name who last edited the video asset
result.updatedTime String - Video asset last modification date and time
  • ISO 8601 format

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
    "code": "0",
    "message": "success",
    "result": {
        "videoId": 1001,
        "videoName": "sample-video.mp4",
        "projectId": 5678,
        "metaData": {
            "resolution": "1280x720",
            "durationMs": 242161,
            "size": 35064178,
            "format": "mp4"
        },
        "key": "sample-video.mp4",
        "createUserName": "username",
        "createdTime": "2025-04-23T17:14:11",
        "updateUserName": "username",
        "updatedTime": "2025-04-23T17:21:56"
    }
}